<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>G-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Game</span></a> - Class in <a href="../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></dt>
<dd>
<div class="block">Description of a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#Game--">Game()</a></span> - Constructor for class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>
<div class="block">Creates a chess game on a board.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#generalInit--">generalInit()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Must be invoked after the board's view received it's parent.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#generalInit--">generalInit()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#get2DName-int:A-">get2DName(int[])</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Returns a Field name for the given board position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#get2DName-int:A-">get2DName(int[])</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#get3DName-int:A-">get3DName(int[])</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Returns a 3D Field name for the given board position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#get3DName--">get3DName()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#get3DName-int:A-">get3DName(int[])</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getAttacked--">getAttacked()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getAttackedFiguresView--">getAttackedFiguresView()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getAttackersList--">getAttackersList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getAttackList--">getAttackList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getBlackAttackedFiguresList--">getBlackAttackedFiguresList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getBlackFiguresList--">getBlackFiguresList()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getBlackFiguresList--">getBlackFiguresList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getBlackKing--">getBlackKing()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getBlockList--">getBlockList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#getBoard--">getBoard()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getBoard--">getBoard()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#getBoard--">getBoard()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getBoard--">getBoard()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#getBoard--">getBoard()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getBoardPos--">getBoardPos()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Returns the field's board position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#getBoardPos--">getBoardPos()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Returns the pin's board position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getChainedThreadPaths--">getChainedThreadPaths()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getCheckPaths--">getCheckPaths()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getCheckThreadPaths--">getCheckThreadPaths()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getChessUi--">getChessUi()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getChessUi--">getChessUi()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/LogView.html#getChessUi--">getChessUi()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getColNames--">getColNames()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getCoverList--">getCoverList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html#getDescription--">getDescription()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles.DefaultFileFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/HelpScreen.html#getDialog--">getDialog()</a></span> - Static method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/HelpScreen.html" title="class in de.rowlo.tridchess.gui.trid">HelpScreen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getDraggedFigure--">getDraggedFigure()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getDraggedFigureLocation--">getDraggedFigureLocation()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getField--">getField()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getFieldHeight--">getFieldHeight()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getFieldHeight--">getFieldHeight()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#getFields--">getFields()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getFieldsByName--">getFieldsByName()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getFieldsList--">getFieldsList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getFieldUnderMouseDrag--">getFieldUnderMouseDrag()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getFieldWidth--">getFieldWidth()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getFieldWidth--">getFieldWidth()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#getFigure--">getFigure()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getFigure--">getFigure()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getFigureForPoint-java.awt.Point-">getFigureForPoint(Point)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getFigureImageFilenames--">getFigureImageFilenames()</a></span> - Static method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getFigureName--">getFigureName()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getFigureTypes--">getFigureTypes()</a></span> - Static method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getGame--">getGame()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#getGame--">getGame()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getGhostMoveList--">getGhostMoveList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>
<div class="block">This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getGridFields--">getGridFields()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getGridFields--">getGridFields()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getGridPos--">getGridPos()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Returns the field's grid position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#getGridPos--">getGridPos()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Returns the pin's grid position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getHintText--">getHintText()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getImage-java.lang.String-">getImage(String)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getImage--">getImage()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getLastFieldUnderMouse--">getLastFieldUnderMouse()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getLastPinUnderMouse--">getLastPinUnderMouse()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#getLoader--">getLoader()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getLogJComponent--">getLogJComponent()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getLogView--">getLogView()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getMouseDragPosition--">getMouseDragPosition()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getMoveList--">getMoveList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/LogView.html#getMoveLog--">getMoveLog()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#getName--">getName()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getName--">getName()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#getName--">getName()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getPinsList--">getPinsList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getPinUnderMouseDrag--">getPinUnderMouseDrag()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/TriDBoardView.html#getPreferredSize--">getPreferredSize()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/TriDBoardView.html" title="class in de.rowlo.tridchess.gui.trid">TriDBoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getRefPos--">getRefPos()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Returns the board's screen position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#getRefPos--">getRefPos()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Returns the board's screen position.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#getResourceFile--">getResourceFile()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#getRowNames--">getRowNames()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getScreenX--">getScreenX()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#getScreenX--">getScreenX()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getScreenY--">getScreenY()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#getScreenY--">getScreenY()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getShade--">getShade()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Returns the shade of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#getShade--">getShade()</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getShadeName--">getShadeName()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Returns the name of the shade of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#getShadeName-int-">getShadeName(int)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Returns the name of the shade of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#getSource--">getSource()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getSourceField--">getSourceField()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/PlainMove.html#getSourceName--">getSourceName()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid">PlainMove</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getSourcePin--">getSourcePin()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#getStartFormationAsProperties--">getStartFormationAsProperties()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getTargetField--">getTargetField()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/PlainMove.html#getTargetName--">getTargetName()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid">PlainMove</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#getTargetPin--">getTargetPin()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#getTargets--">getTargets()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#getType--">getType()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#getUiProperty-java.lang.String-">getUiProperty(String)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#getUiPropertyString-java.lang.String-">getUiPropertyString(String)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getView--">getView()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#getView--">getView()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#getView--">getView()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getWhiteAttackedFiguresList--">getWhiteAttackedFiguresList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#getWhiteFiguresList--">getWhiteFiguresList()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getWhiteFiguresList--">getWhiteFiguresList()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#getWhiteKing--">getWhiteKing()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#GUARDED_FIELD_COLOR">GUARDED_FIELD_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for guarded field's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#GUARDED_SHADE">GUARDED_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Highlighting used for a field.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
